Create schedule
curl --request POST \
--url https://api.clipping.cc/v1/reporters/{reporter_id}/schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"workflow_id": "<string>",
"enabled": true,
"interval_hours": 123,
"collection_ids": [
"<string>"
],
"max_videos_per_channel": 123,
"max_age_hours": 123
}
'import requests
url = "https://api.clipping.cc/v1/reporters/{reporter_id}/schedules"
payload = {
"name": "<string>",
"workflow_id": "<string>",
"enabled": True,
"interval_hours": 123,
"collection_ids": ["<string>"],
"max_videos_per_channel": 123,
"max_age_hours": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
workflow_id: '<string>',
enabled: true,
interval_hours: 123,
collection_ids: ['<string>'],
max_videos_per_channel: 123,
max_age_hours: 123
})
};
fetch('https://api.clipping.cc/v1/reporters/{reporter_id}/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schedule": {
"schedule_id": "<string>",
"reporter_id": "<string>",
"name": "<string>",
"enabled": true,
"interval_hours": 123,
"workflow_id": "<string>",
"collection_ids": [
"<string>"
]
}
}{
"erro": "<string>"
}{
"erro": "<string>"
}{
"erro": "<string>"
}Schedules
Create schedule
POST
/
v1
/
reporters
/
{reporter_id}
/
schedules
Create schedule
Authorizations
ApiKeyAuthBearerAuth
API key: Authorization: Bearer ck_live_…
Path Parameters
Body
application/json
Response
Created.
Show child attributes
Show child attributes
⌘I